網站
GET https://analytics.ipcidr.com/api/websites/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| search | 選填 字串 | 搜尋字串。 |
| search_by | 選填 字串 | 您要搜尋的欄位。允許的值為:name, host。 |
| is_enabled | 選填 整數 | |
| tracking_type | 選填 字串 | 允許的值:normal, lightweight |
| domain_id | 選填 整數 | |
| datetime_field | 選填 字串 | 允許的值:datetime, last_datetime |
| datetime_start | 選填 字串 | 從此日期時間開始篩選結果。格式為 Y-m-d H:i:s。 |
| datetime_end | 選填 字串 | 篩選結果至此日期時間。格式為 Y-m-d H:i:s。 |
| order_by | 選填 字串 | 排序結果的欄位。允許的值為:website_id, datetime, last_datetime, name, host, current_month_sessions_events。 |
| order_type | 選填 字串 | 結果的排序方式。允許的值為:ASC 遞增排序,DESC 遞減排序。 |
| page | 選填 整數 | 您想要結果的頁碼。預設為 1。 |
| results_per_page | 選填 整數 | 每頁要顯示的結果數量。允許的值為:10, 25, 50, 100, 250, 500, 1000。預設為 25。 |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-04 02:06:23",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/websites?page=1",
"last": "https://analytics.ipcidr.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/websites?page=1"
}
}
GET https://analytics.ipcidr.com/api/websites/{website_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-04 02:06:23",
"last_datetime": null
}
}
POST https://analytics.ipcidr.com/api/websites
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| domain_id | 選填 整數 | - |
| name | 必填 字串 | - |
| scheme | 選填 字串 | 允許的值:http://, https:// |
| host | 必填 字串 | 範例:example.com/path。 |
| tracking_type | 選填 字串 | 允許的值:lightweight, normal |
| excluded_ips | 選填 字串 | 從追蹤中排除 IP。請輸入以逗號分隔的值。 |
| outbound_clicks_is_enabled | 選填 布林值 | |
| events_children_is_enabled | 選填 布林值 | 追蹤訪客事件(滑鼠點擊、調整大小、捲動、表單提交)。允許的值為:0 或 1。僅適用於 normal 追蹤類型。 |
| sessions_replays_is_enabled | 選填 布林值 | 工作階段錄影。允許的值為:0 或 1。僅適用於 normal 追蹤類型。 |
| sessions_replays_hide_text_selector | 選填 字串 | |
| email_reports_is_enabled | 選填 布林值 | 電子郵件報告。允許的值為:0 或 1。 |
| ip_storage_is_enabled | 選填 布林值 | 可用條件:tracking_type = normal |
| query_parameters_tracking_is_enabled | 選填 布林值 | - |
| bot_exclusion_is_enabled | 選填 布林值 | - |
| public_statistics_is_enabled | 選填 布林值 | - |
| public_statistics_password | 選填 字串 | - |
| is_enabled | 選填 布林值 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://analytics.ipcidr.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/websites/{website_id}
| 參數 | 詳細資料 | 描述 |
|---|---|---|
| domain_id | 選填 整數 | - |
| name | 選填 字串 | - |
| scheme | 選填 字串 | 允許的值:http://, https:// |
| host | 選填 字串 | 範例:example.com/path。 |
| excluded_ips | 選填 字串 | 從追蹤中排除 IP。請輸入以逗號分隔的值。 |
| outbound_clicks_is_enabled | 選填 布林值 | |
| events_children_is_enabled | 選填 布林值 | 追蹤訪客事件(滑鼠點擊、調整大小、捲動、表單提交)。允許的值為:0 或 1。僅適用於 normal 追蹤類型。 |
| sessions_replays_is_enabled | 選填 布林值 | 工作階段錄影。允許的值為:0 或 1。僅適用於 normal 追蹤類型。 |
| sessions_replays_hide_text_selector | 選填 字串 | |
| email_reports_is_enabled | 選填 布林值 | 電子郵件報告。允許的值為:0 或 1。 |
| ip_storage_is_enabled | 選填 布林值 | 可用條件:tracking_type = normal |
| query_parameters_tracking_is_enabled | 選填 布林值 | - |
| bot_exclusion_is_enabled | 選填 布林值 | - |
| public_statistics_is_enabled | 選填 布林值 | - |
| public_statistics_password | 選填 字串 | - |
| is_enabled | 選填 布林值 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \